package tutorialJava.examenes.examen20250131_2.ejercicioD_listener;

import java.util.ArrayList;
import java.util.List;

public class Principal {

	private static List<NumeroNegativoListener> listeners = 
			new ArrayList<NumeroNegativoListener>();
	
	public static void addNumeroNegativoListener (NumeroNegativoListener l) {
		listeners.add(l);
	}
	
	public static void removeNumeroNegativoListener (NumeroNegativoListener l) {
		listeners.remove(l);
	}
	
	public static void fireNumeroNegativoDetectado() {
		for (NumeroNegativoListener l : listeners) {
			l.numeroNegativoDetectado();
		}
	}
	
	
	public static void main(String[] args) {
		String str = "123 321 -123 -321";
		
		Mesa m = new Mesa();
		
		String numeros[] = str.split("[ ]+");
		for (String numero : numeros) {
			int n = Integer.parseInt(numero);
			if (n < 0) {
				fireNumeroNegativoDetectado();
			}
		}

	}

}
